commit:     eec9a7e13f21c2ce79d60d0b08bc2077e6a653aa
Author:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 26 22:07:53 2021 +0000
Commit:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Tue Oct 26 22:08:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eec9a7e1

games-strategy/wesnoth: 1.16.0 version bump.

Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>

 games-strategy/wesnoth/Manifest              |   1 +
 games-strategy/wesnoth/wesnoth-1.16.0.ebuild | 106 +++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index cb67db84b79..088b5bb879d 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1,2 +1,3 @@
 DIST wesnoth-1.14.14.tar.gz 502931191 BLAKE2B 
25bbead74d74bbce9c47b5ac9339fd5b4d996cb9f80137f0b1d9a600c71c82b732ed66937419a4dd59995311685960630415daf3fd3f51e8cf891f29a16ec024
 SHA512 
3924aa26b59445568472a10c5fe0e1ddf87eb0a878faf2bcc52d4618f5743dfeda103d1f4025f4a129628e6a25f4c16407e968d594769a0751ada2c9a733e2e4
 DIST wesnoth-1.15.15.tar.gz 512968280 BLAKE2B 
2b5c979244fb168e674d120a5eeef3905560992a7ca50735ef30918144ad7b21a9d57bef8cf19d564e02226955fb1c6922b27151fef36825a9b06cbe3d9e40ee
 SHA512 
7f59ac11223e6ca93f926ca978638828e366ea2fd75530b317656e5edd8b0f042f86beb57fd17b8cc9b2d3d093d60580cd3449e1c3bf53b8ee37f656df7198a2
+DIST wesnoth-1.16.0.tar.gz 515780018 BLAKE2B 
1a9d6aa9b294b9919d3b51528928f43d786f30fda739f0af2e62ebbb210b8f071945fe6130c00e2055d3726ae7eabf63b57fd2f1d5d8981a4cd0feedbfbffbfb
 SHA512 
6d999a99e140916ef2070c524898ef69c7b45b3240f208aa380e81a1d1822a02c05a7fc9c5049a05a230e5126d8ff8723e16b6a62ba532b81c031f78ad8c85fe

diff --git a/games-strategy/wesnoth/wesnoth-1.16.0.ebuild 
b/games-strategy/wesnoth/wesnoth-1.16.0.ebuild
new file mode 100644
index 00000000000..c9a69554f39
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.16.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic toolchain-funcs xdg
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+       https://github.com/wesnoth/wesnoth";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+# uneven minor versions are development versions
+if [[ $(( $(ver_cut 2) % 2 )) == 0 ]] ; then
+       KEYWORDS="~amd64 ~x86"
+fi
+IUSE="dbus dedicated doc nls server"
+
+RDEPEND="
+       acct-group/wesnoth
+       acct-user/wesnoth
+       >=dev-libs/boost-1.50:=[nls,threads(+),icu]
+       >=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+       !dedicated? (
+               dev-libs/glib:2
+               dev-libs/openssl:0=
+               >=media-libs/fontconfig-2.4.1
+               >=media-libs/sdl2-image-2.0.0[jpeg,png]
+               >=media-libs/sdl2-mixer-2.0.0[vorbis]
+               media-libs/libvorbis
+               >=x11-libs/pango-1.22.0
+               >=x11-libs/cairo-1.10.0
+               sys-libs/readline:0=
+               dbus? ( sys-apps/dbus )
+       )"
+DEPEND="${RDEPEND}
+       x11-libs/libX11
+"
+BDEPEND="
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       sed 's@ coroutine@@' -i CMakeLists.txt || die
+       sed '/Boost::coroutine/d' -i src/CMakeLists.txt || die
+       if ! use doc ; then
+               sed -i \
+                       -e '/manual/d' \
+                       doc/CMakeLists.txt || die
+       fi
+
+       # respect LINGUAS (bug #483316)
+       if [[ ${LINGUAS+set} ]] ; then
+               local lang langs=()
+               for lang in $(cat po/LINGUAS) ; do
+                       has ${lang} ${LINGUAS} && langs+=( ${lang} )
+               done
+               echo "${langs[@]}" > po/LINGUAS || die
+       fi
+}
+
+src_configure() {
+       filter-flags -ftracer -fomit-frame-pointer
+       if [[ $(gcc-major-version) -eq 3 ]] ; then
+               filter-flags -fstack-protector
+               append-flags -fno-stack-protector
+       fi
+
+       if use dedicated || use server ; then
+               mycmakeargs=(
+                       -DENABLE_CAMPAIGN_SERVER="ON"
+                       -DENABLE_SERVER="ON"
+                       -DSERVER_UID="${PN}"
+                       -DSERVER_GID="${PN}"
+                       -DFIFO_DIR="/run/wesnothd"
+                       )
+       else
+               mycmakeargs=(
+                       -DENABLE_CAMPAIGN_SERVER="OFF"
+                       -DENABLE_SERVER="OFF"
+                       )
+       fi
+       mycmakeargs+=(
+               -Wno-dev
+               -DENABLE_GAME="$(usex !dedicated)"
+               -DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+               -DENABLE_NLS="$(usex nls)"
+               -DENABLE_NOTIFICATIONS="$(usex dbus)"
+               -DENABLE_STRICT_COMPILATION="OFF"
+               )
+       cmake_src_configure
+}
+
+src_install() {
+       local DOCS=( README.md changelog.md )
+       cmake_src_install
+       if use dedicated || use server; then
+               rmdir "${ED}/run/wesnothd" || die
+               newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+       fi
+}

Reply via email to